Bug 392441 - Incorrect error description for non-existent interfaces in connect(2)
Incorrect error description for non-existent interfaces in connect(2)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man-pages-ja (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Akira TAGOH
QE Internationalization Bugs
:
Depends On:
Blocks: 409971
  Show dependency treegraph
 
Reported: 2007-11-20 09:39 EST by Adam Stokes
Modified: 2013-04-12 15:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 04:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to correct man page (870 bytes, patch)
2007-11-20 09:39 EST, Adam Stokes
no flags Details | Diff

  None (edit)
Description Adam Stokes 2007-11-20 09:39:36 EST
Description of problem:
The man page of connect(2) says that,
 "EAGAIN
     No more free local ports or insufficient entries in the routing cache."
 
 However, the present system returns "EADDRNOTAVAIL" at the above-mentioned
 errors.

Version-Release number of selected component (if applicable):
man-pages-ja-2.39-11

How reproducible:
Always

Steps to Reproduce:
1. man 2 connect
  
Actual results:
Describes EAGAIN

Expected results:
Should describe EADDRNOTAVAIL

Additional info:
Comment 1 Adam Stokes 2007-11-20 09:39:36 EST
Created attachment 264941 [details]
patch to correct man page
Comment 3 RHEL Product and Program Management 2007-12-03 15:47:57 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 6 Akira TAGOH 2008-04-30 01:45:50 EDT
Fixed in man-pages-ja-20060815-7.el5.
Comment 10 errata-xmlrpc 2008-09-03 04:52:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0266.html

Note You need to log in before you can comment on or make changes to this bug.